Name:		python-zc.lockfile
Version:	1.0.0
Release:	%mkrel 3
Group:		Development/Python
License:	Zope Public License
Summary:	Basic inter-process locks
#md5=6cf83766ef9935c33e240b0904c7a45e
Source:		http://pypi.python.org/packages/source/z/zc.lockfile/zc.lockfile-1.0.0.tar.xz
URL:		http://pypi.python.org/pypi/zc.lockfile/1.0.0
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:	python-devel
BuildRequires:	python-setuptools

%description
The zc.lockfile package provides a basic portable implementation of
interprocess locks using lock files. The purpose if not specifically
to lock files, but to simply provide locks with an implementation based
on file-locking primitives. Of course, these locks could be used to mediate
access to other files. For example, the ZODB file storage implementation uses
file locks to mediate access to file-storage database files. The database files
and lock file files are separate files.

%prep
%setup -q -n zc.lockfile-%{version}

%build

%install
%__python setup.py install --root=%{buildroot}

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
/*

%changelog
* Thu Sep 02 2010 Texstar <texstar at gmail.com>
- rebuild for python 2.6.6

* Wed Aug 18 2010 pcserver <pcserver at hush.com>
- update package

* Mon Sep 21 2009 pcserver <pcserver at hush.com>
- update & rebuild

